Bug 27985 - Add option for using a MARC modification template on a single record from the details page
Summary: Add option for using a MARC modification template on a single record from the...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-18 13:52 UTC by Nick Clemens
Modified: 2022-06-06 20:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This development allows for sending a single record to 'batch' modification in order to process a MARC modification template against the record.
Version(s) released in:
21.11.00


Attachments
Bug 27985: Add option to send a record to batch modification from details page (2.11 KB, patch)
2021-03-18 13:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27985: Add option to send a record to batch modification from details page (2.17 KB, patch)
2021-03-18 14:43 UTC, Kelly McElligott
Details | Diff | Splinter Review
Bug 27985: Add option to send a record to batch modification from details page (2.23 KB, patch)
2021-07-09 07:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-03-18 13:52:25 UTC

    
Comment 1 Nick Clemens 2021-03-18 13:57:10 UTC
Created attachment 118462 [details] [review]
Bug 27985: Add option to send a record to batch modification from details page

This patch adds an option to modify a single record using a marc modification
template to the 'Edit' menu on the details page

To test:
 1 - Apply patch
 2 - Browse to details page on the staff client
 3 - Be a user with permission to edit records and use batch record modification
 4 - Verify the option 'Modify record using template' appears in list
 5 - Click it
 6 - You should be sent to batch record modification screen
 7 - If you have no templates there will be a link prompting you to create on, do that
 8 - If oyu already had one, or created on above you shoudl now be able to select a template
 9 - Apply the template
10 - Browse to the record again
11 - Confirm changes were applied correctly
Comment 2 Kelly McElligott 2021-03-18 14:43:08 UTC
Created attachment 118463 [details] [review]
Bug 27985: Add option to send a record to batch modification from details page

This patch adds an option to modify a single record using a marc modification
template to the 'Edit' menu on the details page

To test:
 1 - Apply patch
 2 - Browse to details page on the staff client
 3 - Be a user with permission to edit records and use batch record modification
 4 - Verify the option 'Modify record using template' appears in list
 5 - Click it
 6 - You should be sent to batch record modification screen
 7 - If you have no templates there will be a link prompting you to create on, do that
 8 - If oyu already had one, or created on above you shoudl now be able to select a template
 9 - Apply the template
10 - Browse to the record again
11 - Confirm changes were applied correctly

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 3 Marcel de Rooy 2021-07-09 07:40:34 UTC
Created attachment 122693 [details] [review]
Bug 27985: Add option to send a record to batch modification from details page

This patch adds an option to modify a single record using a marc modification
template to the 'Edit' menu on the details page

To test:
 1 - Apply patch
 2 - Browse to details page on the staff client
 3 - Be a user with permission to edit records and use batch record modification
 4 - Verify the option 'Modify record using template' appears in list
 5 - Click it
 6 - You should be sent to batch record modification screen
 7 - If you have no templates there will be a link prompting you to create on, do that
 8 - If oyu already had one, or created on above you shoudl now be able to select a template
 9 - Apply the template
10 - Browse to the record again
11 - Confirm changes were applied correctly

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-07-12 13:49:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-16 13:28:40 UTC
Not backported for 21.05